.\" Copyright (c) 1989, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)kvm_mkdb.8	8.1 (Berkeley) 6/9/93
.\"
.Dd June 9, 1993
.Dt KVM_MKDB 8
.Os
.Sh NAME
.Nm kvm_mkdb
.Nd create kernel database
.Sh SYNOPSIS
.Nm kvm_mkdb
.Op file
.Sh DESCRIPTION
.Nm Kvm_mkdb
creates a database in
.Pa /var/db
containing information about the specified file.
If no file is specified,
.Pa /kernel
is used by default.
The file is named ``kvm_filename.db'', where ``filename'' is the
name of the file read.
Various library routines consult this database.
The only information currently stored is the kernel namelist, which is
used by the
.Xr kvm_nlist 3
function, however, in the future the database may contain other static
information about the current system.
.Sh FILES
.Bl -tag -width /var/db/kvm_kernel.db -compact
.It Pa /kernel
.It Pa /var/db/kvm_kernel.db
.El
.Sh SEE ALSO
.Xr kvm_nlist 3
.Sh HISTORY
The
.Nm
utility first appeared in
.Bx 4.4 .
